APT-SORTPKGS(1)

NAME
apt-sortpkgs - Werkzeug zum Sortieren von Paketindexdateien

ÜBERSICHT

apt-sortpkgs [-s] [-o=Konfigurationszeichenkette] [-c=Konfigurationsdatei] Dateiname... {-v | --version} {-h | --help}

BESCHREIBUNG

apt-sortpkgs nimmt eine Indexdatei (Quell- oder Paketindex) und sortiert die Datensätze nach Paketnamen. Es wird außerdem die internen Felder jedes Datensatzes gemäß interner Sortierregeln sortieren.

Alle Ausgaben werden an die Standardausgabe gesandt, die Eingabe muss eine durchsuchbare Datei sein.

OPTIONEN

Alle Befehlszeilenoptionen können durch die Konfigurationsdatei gesetzt werden, die Beschreibung gibt die zu setzende Option an. Für boolesche Optionen können Sie die Konfigurationsdatei überschreiben, indem Sie etwas wie -f-, --no-f, -f=no oder etliche weitere Varianten benutzen.

-s, --source
    Quellindexfeldanordnung benutzen. Konfigurationselement: APT::SortPkgs::Source.

-h, --help
    eine kurze Aufrufzusammenfassung zeigen

-v, --version
    die Version des Programms anzeigen

-c, --config-file
    Konfigurationsdatei; gibt eine Konfigurationssdatei zum Benutzen an. Das Programm wird die Vorgabe-Konfigurationsdatei und dann diese Konfigurationsdatei lesen. Falls Konfigurationseinstellungen vor der Vorgabe-Konfiguration ausgewertet werden müssen, geben Sie eine Datei der Umgebungsvariable APT_CONFIG an Lesen Sie apt.conf(5), um Syntax-Informationen zu erhalten

-o, --option
    eine Konfigurationsoption setzen; Dies wird eine beliebige Konfigurationsoption setzen. Die Syntax lautet -o Foo::Bar=bar. -o und --option kann mehrfach benutzt werden, um verschiedene Optionen zu setzen.

SIEHE AUCH

apt.conf(5)

DIAGNOSE

apt-sortpkgs gibt bei normalen Operationen 0 zurück, dezimal 100 bei Fehlern.

FEHLER

APT-Fehlerseite[1]. Wenn Sie einen Fehler in APT berichten möchten, lesen Sie bitte /usr/share/doc/debian/bug-reporting.txt oder den reportbug(1)-Befehl. Verfassen Sie Fehlerberichte bitte auf Englisch.

ÜBERSETZUNG

Die deutsche Übersetzung wurde 2009 von Chris Leick <c.leick@vollbio.de> in Zusammenarbeit mit dem deutschen l10n-Team von Debian <debian-l10n-german@lists.debian.org> angefertigt.

Beachten Sie, dass diese Übersetzung Teile enthalten kann, die nicht übersetzt wurden. Dies ist so, damit kein Inhalt verloren geht, wenn die Übersetzung hinter dem Originalinhalt hinterherhängt.

AUTOREN

Jason Gunthorpe

APT-Team

FUßNOTEN

1.  APT-Fehlerseite
    http://bugs.debian.org/src:apt